Skip to main content
GET
Search person name

Authorizations

X-API-Key
string
header
required

Query Parameters

query
string
required

A name to search people by. Must be at least 3 characters.

Minimum string length: 3

Response

The list of matching people, sorted by descending match confidence.

id
string
required

The Specter person ID for this person, can be used in people endpoints.

Example:

"per_7f8d9e2a1b3c4d5e6f7g8h9i0"

match_confidence
number
required

How closely the person matched the query, from 0 to 1. Only matches with a confidence of at least 0.5 are returned.

Example:

0.98

full_name
string | null

The person's full name.

Example:

"Patrick Collison"

headline
string | null

The person's LinkedIn headline.

Example:

"Co-founder and CEO at Stripe"

linkedin_url
string | null

URL for the LinkedIn account.

Example:

"https://www.linkedin.com/in/patrickcollison"

profile_picture_url
string | null

A URL for a profile picture if there is one.

Example:

"https://peopledb-public.s3.eu-west-2.amazonaws.com/assets/profile-pictures/per_7f8d9e2a1b3c4d5e6f7g8h9i0.jpg"

current_company_name
string | null

The name of the person's current employer, when resolvable.

Example:

"Stripe"